Retrieve ExportDestination - m3ter Documentation
Retrieve ExportDestination
cURL
curl --request GET \
--url https://api.m3ter.com/organizations/{orgId}/dataexports/destinations/{id} \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://api.m3ter.com/organizations/{orgId}/dataexports/destinations/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/dataexports/destinations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Codes
200: Returns the Export Destination
4XX: Client Error
5XX: Server Error
JSON Response Example
{
"id": "<string>",
"version": 123,
"name": "<string>",
"code": "<string>",
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>",
"bucketName": "<string>",
"prefix": "<string>",
"iamRoleArn": "<string>",
"partitionOrder": "<unknown>"
}
Authorizations
Authorization: Required header that uses OAuth2 client credentials flow for API access, or authorization code flow for human users.
Path Parameters
orgId: UUID of the organization (required)
id: UUID of the ExportDestination to retrieve (required)
Response Structure
200: Returns an ExportDestination
- Includes properties such as
id, version, name, code, dtCreated, and more.